package net.sourceforge.ganttproject.datafilter.task;

import net.sourceforge.ganttproject.IGanttProject;
import net.sourceforge.ganttproject.plugins.PluginManager;

public interface TaskFilterFactory {
    FilteredTasks createFilter(IGanttProject project);
    
    class Access {
        public static TaskFilterFactory[] getExtensions() {
            return (TaskFilterFactory[]) PluginManager.getExtensions(EXTENSION_POIN_ID, TaskFilterFactory.class);
        }
    }
    
    String EXTENSION_POIN_ID = "net.sourceforge.ganttproject.task_filter_factory";
    
}
